Bug 43919 - losetup prevents shutdown from unmounting fs causing fsck next boot
losetup prevents shutdown from unmounting fs causing fsck next boot
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-07 22:57 EDT by David Wilson
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 22:57:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Wilson 2001-06-07 22:57:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
When using a filesystem in a file I used the losetup command to associate 
it with a loop device. When I shut my system down it was unable to unmount 
the filesystem containing the file (in my case /).

How reproducible:
Always

Steps to Reproduce:
1. losetup /dev/loop0 filename
2. shutdown / powerdown / halt

	

Actual Results:  /etc/rc.d/init.d/halt failed to unmount filesystem 
containing the file that losetup was run on. Next boot requires fsck.

Expected Results:  Clean shutdown.

Additional info:

Manually doing losetup -d /dev/loop0 before shutdown avoids the problem 
but as /etc/rc.d/init.d/halt manages to unmount loopback filesystems I 
think it should also remove the loopback device if needed as well. The 
halt script does handle the following way of using the loopback device:

mount imagefile /mnt/point -t fstype -o loop=/dev/loop0
shutdown

but not

losetup /dev/loop0 imagefile
mount -t fstype /dev/loop0 /mnt/point
shutdown
Comment 1 Bill Nottingham 2001-08-07 02:57:46 EDT
Will be fixed in initscripts-6.12-1.

Note You need to log in before you can comment on or make changes to this bug.